## turing 0.11~beta

=== src/forms/Makefile ===
DESTDIR =
UI_SOURCES = $(shell ls *.ui)
UI_TARGETS = $(patsubst %.ui, %.py, $(UI_SOURCES))

all: $(UI_TARGETS)

clean: rm -f *~

install:

%.py: %.ui
	pyuic5 $< -o $@

.PHONY: all clean install

## turing 0.10~beta

=== debian/changelog ===
turing (0.10~beta-2) unstable; urgency=medium

  * added a dependency on python3-matplotlib. Closes: #901121

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Jun 2018 15:52:25 +0200

turing (0.10~beta-1) unstable; urgency=medium

  * Initial release (Closes: #898854)

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 May 2018 20:19:54 +0200

=== debian/control ===
Source: turing
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), python3-all, dh-python
Standards-Version: 4.1.4
Homepage: https://turingapp.ml/
Vcs-Git: https://salsa.debian.org/georgesk/turing.git
Vcs-Browser: https://salsa.debian.org/georgesk/turing
X-Python3-Version: >=3.5

Package: turing
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-altgraph, python3-autopep8, python3-cycler, python3-docutils,
 python3-future, python3-jedi, python3-kiwisolver, python3-macholib,
 python3-numpy, python3-parso, python3-pefile, python3-pep8,
 python3-pyflakes, python3-pygments, python3-pyparsing, python3-pyqt5,
 python3-dateutil, python3-tz, python3-matplotlib
Description: assistant to learn algorithms and programming languages
 Turing is a free and cross-platform app whose main goal is to assist
 the learning of algorithms and programming languages by providing
 easy-to-use development tools to all.
 .
 It provides a lighter alternative to the well-known Algobox, which is
 the currently de-facto widely used solution.
 .
 It provides two work modes:
 .
 * Algorithm mode
     * Uses a "natural" pseudocode language similar to the one used in
       Algobox and school books.
     * Assisted development
 * Program mode
     * Uses Python, for the more experienced
 .
 In both modes, the code can be debugged and executed step-by-step to
 facilitate the problem-solving side of development.

## turing 0.11~beta

=== debian/changelog ===
turing (0.11~beta-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Feb 2023 10:07:11 +0100

turing (0.11~beta-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove qt5-default from build dependencies (Closes: #972171).
    - Replace it with qtbase5-dev, which is the right dependency to have.
    - Export QT_SELECT := qt5 to let qtchooser do the right thing.

  [ Georges Khaznadar ]
  * merged Lissandro's changes, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Oct 2020 17:45:22 +0200

turing (0.11~beta-2) unstable; urgency=medium

  * Applied Dmitry Shachnev's changes. Closes: #966054
  * upgrades: debhelper-compat (=12), Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 19:55:32 +0200

turing (0.11~beta-1) unstable; urgency=medium

  * new upstream version
  * fixed Makefiles
  * added build-dependencies on python3-pyqt5, pyqt5-dev-tools,
    qttools5-dev-tools, qt5-default

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 29 Jun 2018 23:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10), python3-all, dh-python
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), python3-all, dh-python,
+ python3-pyqt5, pyqt5-dev-tools, qttools5-dev-tools, qtbase5-dev
+Standards-Version: 4.6.2
 Homepage: https://turingapp.ml/
 Vcs-Git: https://salsa.debian.org/georgesk/turing.git
 Vcs-Browser: https://salsa.debian.org/georgesk/turing

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

%:
	dh $@ --with python3


DESTDIR = $(CURDIR)/debian/turing
override_dh_install:
	dh_install
	find $(DESTDIR)/usr/share/turing/src/tools -name "*.sh" -o -name "*.bat" | xargs rm

## turing 0.11

=== Makefile ===
DESTDIR =

all:
	make -C src $@ DESTDIR=$(DESTDIR)

clean:
	rm -f *~
	make -C src $@ DESTDIR=$(DESTDIR)

install:
	make -C src $@ DESTDIR=$(DESTDIR)

.PHONY: all clean install

=== requirements.txt ===
altgraph==0.15
autopep8==1.3.5
cycler==0.10.0
docutils==0.14
future==0.16.0
jedi==0.11.1
kiwisolver==1.0.1
macholib==1.9
matplotlib==2.2.2
numpy==1.14.2
parso==0.1.1
pefile==2017.11.5
pep8==1.7.1
pyflakes==1.6.0
Pygments==2.2.0
PyInstaller==3.3.1
pyparsing==2.2.0
pyqode.core==2.11.0
pyqode.python==2.10.0
pyqode.qt==2.10.0
PyQt5==5.10.1
python-dateutil==2.7.2
pytz==2018.3
sip==4.19.8
six==1.11.0

=== src/Makefile ===
DESTDIR =

all:
	pylupdate5 project-linux.pro
	make -C lang $@ DESTDIR=$(DESTDIR)
	make -C forms $@ DESTDIR=$(DESTDIR)

clean:
	rm -f *~
	make -C lang $@ DESTDIR=$(DESTDIR)
	make -C forms $@ DESTDIR=$(DESTDIR)

install:
	make -C lang $@ DESTDIR=$(DESTDIR)
	make -C forms $@ DESTDIR=$(DESTDIR)

.PHONY: all clean install

=== src/forms/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 all: $(UI_TARGETS)
 
-clean: rm -f *~
+clean:
+	rm -f *~
 
 install:

=== src/lang/Makefile ===
DESTDIR =

LANG_SRC = $(shell ls *.ts)
LANG_TARGET = $(patsubst %.ts, %.qm, $(LANG_SRC))

all: $(LANG_TARGET)

%.qm: %.ts
	lrelease $<

clean:
	rm -f *~

install:

.PHONY: all clean install

=== debian/changelog ===
turing (0.11-6) unstable; urgency=medium

  * removed the build-dependency on pyside2-tools. Closes: #1128897
  * added a build-dependency on locales, patched src/Makefile to enforce
    LC_ALL=C.UTF-8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Feb 2026 11:59:45 +0100

turing (0.11-5) unstable; urgency=medium

  * removed the debian patch ts-files.patch which did not fix bug #1045615
    in every case. Instead, declared that src/lang/*.ts files' changes
    can be ignored safely, by creating the file debian/source/options,
    thanks to Santiago Vila. Closes: #1045615

  * added a few additional commands to override dh_install, in order to
    build a lintian-cleaner package.

  * renamed two scripts under debian/tests to comply with lexical rules.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Feb 2026 10:50:14 +0100

turing (0.11-4) unstable; urgency=medium

  * included the changes made in TS files by an ordinary build as a
    debian patch, which prevents changes in the source package during
    successive builds. Closes: #1045615

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Feb 2026 19:46:42 +0100

turing (0.11-3) unstable; urgency=medium

  * removed the dependency on python3-tz. Closes:#1122120

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 07 Dec 2025 17:03:16 +0100

turing (0.11-2) unstable; urgency=medium

  * replaced dependencies on python-pep8 related packages by a dependency on
    python3-pycodestyle. Closes: #1087970
  * added a build-dependency on pyside2-tools, patched Makefile to use
    pyside2-lupdate instead of pylupdate5

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Jan 2025 11:03:45 +0100

turing (0.11-1) unstable; urgency=medium

  * new upstream version:
    + fixed SyntaxWarnings. Closes: #1087121
    + all debian patches were applied
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Nov 2024 16:52:47 +0100

turing (0.11~beta-8) unstable; urgency=medium

  * removed the unnecessary dependency on python3-altgraph.
    Closes: 1082056

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Sep 2024 15:51:47 +0200

turing (0.11~beta-7) unstable; urgency=medium

  * removed the dependency on python3-future. Closes: #1056461

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Jan 2024 11:54:19 +0100

turing (0.11~beta-6) unstable; urgency=medium

  * removed extraneous dependency on python3-future. Closes: #1058987
  * checked that there are no longer modified files as src/lang/*.ts after
    a build. Closes: #1045615
  * added a few tests for autopkgtest. Closes: #1035247; Closes: #1036477

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 16 Jan 2024 12:07:39 +0100

turing (0.11~beta-5) unstable; urgency=medium

  * made a few changes, implied by the bug report. Closes: #1060154

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2024 10:53:32 +0100

=== debian/control ===
Source: turing
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
 dh-python,
 python3-pyqt5,
 pyqt5-dev-tools,
 qttools5-dev-tools,
 qtbase5-dev,
 locales,
Standards-Version: 4.7.0
Homepage: https://turingapp.ml/
Vcs-Git: https://salsa.debian.org/georgesk/turing.git
Vcs-Browser: https://salsa.debian.org/georgesk/turing

Package: turing
Architecture: all
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
 python3-cycler,
 python3-docutils,
 python3-jedi,
 python3-kiwisolver,
 python3-macholib,
 python3-numpy,
 python3-parso,
 python3-pefile,
 python3-pyflakes,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt5,
 python3-dateutil,
 python3-matplotlib,
 python3-pycodestyle,
Description: assistant to learn algorithms and programming languages
 Turing is a free and cross-platform app whose main goal is to assist
 the learning of algorithms and programming languages by providing
 easy-to-use development tools to all.
 .
 It provides a lighter alternative to the well-known Algobox, which is
 the currently de-facto widely used solution.
 .
 It provides two work modes:
 .
 * Algorithm mode
     * Uses a "natural" pseudocode language similar to the one used in
       Algobox and school books.
     * Assisted development
 * Program mode
     * Uses Python, for the more experienced
 .
 In both modes, the code can be debugged and executed step-by-step to
 facilitate the problem-solving side of development.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

%:
	dh $@ --with python3


DESTDIR = $(CURDIR)/debian/turing

override_dh_install:
	dh_install
	: # remove batch programs under src/tools
	find $(DESTDIR)/usr/share/turing/src/tools \
	  -name "*.sh" -o -name "*.bat" | xargs rm -f
	: # remove vcs control files
	find $(DESTDIR)/usr/share/turing/src -name ".gitignore" | xargs rm -f
	: # python3 is the default python
	for f in $(DESTDIR)/usr/share/turing/pyqode/python/backend/*.py; do \
	  sed -i "s%usr/bin/env python%usr/bin/python3%" $$f; \
	done

override_dh_auto_clean:
	dh_auto_clean
	find . -name __pycache__| xargs rm -rf
	rm -f src/lang/*.qm

=== debian/tests/control ===
Tests: test-numpy.py, test-matplotlib.py
Depends: 
 python3-numpy,
 python3-matplotlib,
 @
